aubio 0.4.2~alpha

- Main Page
- Data Structures
- Files
- Examples

- File List
- Globals

Macros | Typedefs
types.h File Reference

Definition of data types used in aubio. More...

Go to the source code of this file.

## Macros
#define | HAVE_AUBIO_DOUBLE 0
| defined to 1 if aubio is compiled in double precision
#define | AUBIO_SMPL_FMT "%f"
| print format for sample in single precision
#define | AUBIO_LSMP_FMT "%lf"
| print format for sample in double precision

## Typedefs
typedef float | smpl_t
| short sample format (32 or 64 bits)
typedef double | lsmp_t
| long sample format (64 bits or more)
typedef unsigned int | uint_t
| unsigned integer
typedef int | sint_t
| signed integer
typedef char | char_t
| character

## Detailed Description

Definition of data types used in aubio.

Definition in file types.h.